cdac.medinfo.sdk.hl7282.baselibs.segments

## Class UAC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.UAC

- All Implemented Interfaces:
    ISegment

      public class UAC
      extends Segment

  UAC - User Authentication Credential Segment

  This optional segment provides user authentication credentials, a Kerberos Service Ticket or SAML assertion, to be used by the receiving system to obtain user identification data.

  Represents an HL7 UAC message segment. This segment has the following fields:

  UAC-1 : User Authentication Credential Type Code (CWE) Required
  UAC-2 : User Authentication Credential (ED) Required
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UAC()` Constructs the SGT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ED` | `getUserAuthenticationCredential()` Retrieves the User Authentication Credential.
    `CWE` | `getUserAuthenticationCredentialTypeCode()` Retrieves the User Authentication Credential Type Code.
    `void` | `setUserAuthenticationCredential(ED objUserAuthenticationCredential)` Set the User Authentication Credential.
    `void` | `setUserAuthenticationCredential(HD objSourceApplication, java.lang.String strTypeOfData, java.lang.String strDataSubtype, java.lang.String strEncoding, java.lang.String strData)` Set the User Authentication Credential.
    `void` | `setUserAuthenticationCredentialTypeCode(CWE objUserAuthenticationCredentialTypeCode)` Set the User Authentication Credential Type Code.
    `void` | `setUserAuthenticationCredentialTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the User Authentication Credential Type Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UAC

          public UAC()

      Constructs the SGT segment.

  - ### Method Detail

    - #### getUserAuthenticationCredentialTypeCode

          public CWE getUserAuthenticationCredentialTypeCode()

      Retrieves the User Authentication Credential Type Code. This an identifier code for the type of user authentication credential.
      Returns:
        CWE - UserAuthenticationCredentialTypeCode

    - #### setUserAuthenticationCredentialTypeCode

          public void setUserAuthenticationCredentialTypeCode(java.lang.String strIdentifier,
                                                     java.lang.String strText,
                                                     java.lang.String strNameOfCodingSystem,
                                                     java.lang.String strAlternateIdentifier,
                                                     java.lang.String strAlternateText,
                                                     java.lang.String strNameOfAlternateCodingSystem,
                                                     java.lang.String strCodingSystemVersionID,
                                                     java.lang.String strAlternateCodingSystemVersionId,
                                                     java.lang.String strOriginalText,
                                                     java.lang.String strSecondAlternateIdentifier,
                                                     java.lang.String strSecondAlternateText,
                                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                                     java.lang.String strCodingSystemOID,
                                                     java.lang.String strValueSetOID,
                                                     java.lang.String strValueSetVersionID,
                                                     java.lang.String strAlternateCodingSystemOID,
                                                     java.lang.String strAlternateValueSetOID,
                                                     java.lang.String strAlternateValueSetVersionID,
                                                     java.lang.String strSecondAlternateCodingSystemOID,
                                                     java.lang.String strSecondAlternateValueSetOID,
                                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the User Authentication Credential Type Code. This an identifier code for the type of user authentication credential.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUserAuthenticationCredentialTypeCode

          public void setUserAuthenticationCredentialTypeCode(CWE objUserAuthenticationCredentialTypeCode)

      Set the User Authentication Credential Type Code. This an identifier code for the type of user authentication credential.
      Parameters:
        `objUserAuthenticationCredentialTypeCode` - Object of User Authentication Credential Type Code.

    - #### getUserAuthenticationCredential

          public ED getUserAuthenticationCredential()

      Retrieves the User Authentication Credential. This is user credential data as supplied by the sender's operating platform.
      Returns:
        ED - UserAuthenticationCredential

    - #### setUserAuthenticationCredential

          public void setUserAuthenticationCredential(HD objSourceApplication,
                                             java.lang.String strTypeOfData,
                                             java.lang.String strDataSubtype,
                                             java.lang.String strEncoding,
                                             java.lang.String strData)

      Set the User Authentication Credential. This is user credential data as supplied by the sender's operating platform.
      Parameters:
        `objSourceApplication` - Specifies A unique name that identifies the system which was the source of the data.
        `strTypeOfData` - Specifies an ID data type that declares the general type of data.
        `strDataSubtype` - Specifies an ID data type declaring the format for the data of subcomponent
        .
        `strEncoding` - Specifies the type of encoding used to represent successive octets of binary data as displayable ASCII characters. [Refer to HL7 Table 0299 - Encoding] Valid values A,Hex,Base64.
        `strData` - Specifies displayable ASCII characters which constitute the data to be sent from source application to destination application.

    - #### setUserAuthenticationCredential

          public void setUserAuthenticationCredential(ED objUserAuthenticationCredential)

      Set the User Authentication Credential. This is user credential data as supplied by the sender's operating platform.
      Parameters:
        `objUserAuthenticationCredential` - Object of User Authentication Credential .

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.